<div>
    <h2>
        <span jhiTranslate="mpmApp.detailTandaTerima.home.title">Detail Tanda Terimas</span>
        <button class="btn btn-primary float-right jh-create-entity create-detail-tanda-terima" [routerLink]="['/', { outlets: { popup: ['detail-tanda-terima-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.detailTandaTerima.home.createLabel">
            Create new Detail Tanda Terima
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.detailTandaTerima.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="detailTandaTerimas">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="iddetreceipt"><span jhiTranslate="mpmApp.detailTandaTerima.iddetreceipt">Iddetreceipt</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="idreceipt"><span jhiTranslate="mpmApp.detailTandaTerima.idreceipt">Idreceipt</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="invno"><span jhiTranslate="mpmApp.detailTandaTerima.invno">Invno</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="dtinv"><span jhiTranslate="mpmApp.detailTandaTerima.dtinv">Dtinv</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="invtaxno"><span jhiTranslate="mpmApp.detailTandaTerima.invtaxno">Invtaxno</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="dtinvtax"><span jhiTranslate="mpmApp.detailTandaTerima.dtinvtax">Dtinvtax</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="total"><span jhiTranslate="mpmApp.detailTandaTerima.total">Total</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="notes"><span jhiTranslate="mpmApp.detailTandaTerima.notes">Notes</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="ntotal"><span jhiTranslate="mpmApp.detailTandaTerima.ntotal">Ntotal</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let detailTandaTerima of detailTandaTerimas ;trackBy: trackId">
                <td><a [routerLink]="['../detail-tanda-terima', detailTandaTerima.id ]">{{detailTandaTerima.id}}</a></td>
                <td>{{detailTandaTerima.iddetreceipt}}</td>
                <td>{{detailTandaTerima.idreceipt}}</td>
                <td>{{detailTandaTerima.invno}}</td>
                <td>{{detailTandaTerima.dtinv | date:'medium'}}</td>
                <td>{{detailTandaTerima.invtaxno}}</td>
                <td>{{detailTandaTerima.dtinvtax | date:'medium'}}</td>
                <td>{{detailTandaTerima.total}}</td>
                <td>{{detailTandaTerima.notes}}</td>
                <td>{{detailTandaTerima.ntotal}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../detail-tanda-terima', detailTandaTerima.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'detail-tanda-terima/'+ detailTandaTerima.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'detail-tanda-terima/'+ detailTandaTerima.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="detailTandaTerimas && detailTandaTerimas.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
